import { AxiosRequestConfig } from 'axios';
import { TFileMapVariables } from './utils';
export interface IFetchOptions extends AxiosRequestConfig {
    requestCode?: string;
}
export interface IUseFetcherArgs<TVariables = {}> {
    variables?: TVariables;
    fetchOptions?: IFetchOptions;
}
export interface IUseSubscriptionArgs<TVariables> {
    variables?: TVariables;
}
export declare const useFetchData: <TData, TArgs extends IUseFetcherArgs<TFileMapVariables>>(query: string) => (args?: TArgs) => Promise<TData>;
