interface IResponse {
    message: string;
    code?: string | undefined;
    args?: unknown;
    path?: string;
}
export default class AxiosCancelException extends Error {
    private readonly response;
    readonly code: any;
    readonly devInfo: any;
    readonly args: any;
    readonly path: any;
    constructor(response: IResponse);
    initName(): void;
    getInfo(): IResponse;
}
export {};
