export type TFileMapVariables = Record<string, any>;
interface IConvertRes {
    variables: TFileMapVariables;
    map: string[];
    values: File[];
}
/**
 * 處理表單送出時, 將 data object 轉換成 graphql upload 格式
 * @param originVariables
 * @param parentKey
 */
export declare const getVariablesFileMap: <V extends TFileMapVariables>(originVariables: V, parentKey?: string[]) => IConvertRes;
export {};
